From 14abe1437b42ae8ef39ceac188d663e5ec6a07c8 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 09 2017 15:17:24 +0000
Subject: [PATCH 919/1001] Fix documentation


---

diff --git a/hubs/utils/datagrepper.py b/hubs/utils/datagrepper.py
index 42aa8ec..0a266aa 100644
--- a/hubs/utils/datagrepper.py
+++ b/hubs/utils/datagrepper.py
@@ -4,8 +4,6 @@ import logging
 
 import requests
 
-from hubs.app import app
-
 log = logging.getLogger(__name__)
 
 
@@ -16,7 +14,12 @@ def datagrepper_get(args):
 
     Parameters:
         args (dict): elements of the query string to Datagrepper.
+
+    Returns:
+        list of dictionaries: The accumulated Fedmsg messages in the
+        ``raw_messages`` lists over every page.
     """
+    from hubs.app import app  # Avoid circular import
     url = "%s/raw" % app.config["DATAGREPPER_URI"]
     result = []
     page = 1

